Skip to main content
POST
/
v1
/
analytics
/
checks
Get analytics summary for multiple checks
curl --request POST \
  --url https://api.checklyhq.com/v1/analytics/checks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "checkIds": [
    "<string>"
  ]
}
'
[
  {
    "checkId": "<string>",
    "checkType": "AGENTIC",
    "availability": 123,
    "responseTime_avg": 123,
    "responseTime_p50": 123,
    "responseTime_p95": 123,
    "responseTime_p99": 123,
    "latency_avg": 123,
    "latency_p50": 123,
    "latency_p95": 123,
    "latency_p99": 123,
    "packetLoss_avg": 123,
    "packetLoss_p95": 123,
    "packetLoss_p99": 123
  }
]

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Query Parameters

quickRange
enum<string>
default:last24Hours

Time range for analytics.

Available options:
last24Hours,
last7Days,
thisWeek,
lastWeek,
lastMonth

Body

application/json
checkIds
string[]
required

Array of check IDs to fetch analytics for.

Required array length: 1 - 100 elements

Response

Successful

checkId
string
required
checkType
enum<string>
required
Available options:
AGENTIC,
API,
BROWSER,
HEARTBEAT,
ICMP,
MULTI_STEP,
TCP,
PLAYWRIGHT,
URL,
DNS
availability
number | null
responseTime_avg
number | null
responseTime_p50
number | null
responseTime_p95
number | null
responseTime_p99
number | null
latency_avg
number | null
latency_p50
number | null
latency_p95
number | null
latency_p99
number | null
packetLoss_avg
number | null
packetLoss_p95
number | null
packetLoss_p99
number | null